﻿    using ElectronNET.API;
    using ElectronNET.API.Entities;
    using Microsoft.AspNetCore.Mvc;
    using System.Collections.Generic;
    using System.IO;
    using System.Threading.Tasks;

    namespace Electron_Demo.Controllers
    {
        public class HomeController : Controller
        {
            public async Task<IActionResult> Index()
            {
                string caminhoMusica = await Electron.App.GetPathAsync(PathName.music);
                string[] arquivos_Mp3 = Directory.GetFiles(caminhoMusica, "*.mp3", SearchOption.TopDirectoryOnly);
                string[] arquivos_Mp4 = Directory.GetFiles(caminhoMusica, "*.mp4", SearchOption.TopDirectoryOnly);

                List<string> arquivosMusicas = new List<string>();
                arquivosMusicas.AddRange(arquivos_Mp3);
                arquivosMusicas.AddRange(arquivos_Mp4);

                return View(arquivosMusicas);
            }
        }
    }